<section id="view">
  <p>
    <a routerLink="/admin/products/new" class="btn btn-primary">New Product</a>
  </p>
  <p>
    <input
      #query
      (keyup)="filter(query.value)"
      type="text"
      class="form-control"
      placeholder="Search..."
    />
  </p>

  <data-table
    [items]="items"
    [itemCount]="itemCount"
    (reload)="reloadItems($event)"
  >
    <data-table-column
      [property]="'category'"
      [header]="'Category'"
      [sortable]="true"
      [resizable]="true"
    >
    </data-table-column>
    <data-table-column
      [property]="'title'"
      [header]="'Title'"
      [sortable]="true"
      [resizable]="true"
    >
    </data-table-column>

    <data-table-column
      [property]="'price'"
      [header]="'Price'"
      [sortable]="true"
      [resizable]="true"
    >
      <ng-template #dataTableCell let-item="item">
        {{ item.price | currency: "INR":true }}
      </ng-template>
    </data-table-column>

    <data-table-column [property]="'key'">
      <ng-template #dataTableCell let-item="item">
        <a [routerLink]="['/admin/products/', item.key]">Edit</a>
      </ng-template>
    </data-table-column>
  </data-table>
</section>
